Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.RecurrenceState=function(){
};
Telerik.Web.UI.RecurrenceState.prototype={NotRecurring:0,Master:1,Occurrence:2,Exception:3};
Telerik.Web.UI.RecurrenceState.registerEnum("Telerik.Web.UI.RecurrenceState");
Telerik.Web.UI.SchedulerAppointment=function(_1,_2,_3){
this._attributes=new Telerik.Web.UI.SchedulerAttributeCollection(this);
if(!_1){
return;
}
this._id=_1.id;
this._subject=_1.subject;
this._start=new Date(Date.parse(_1.start));
this._end=new Date(Date.parse(_1.end));
this._toolTip=_1.toolTip;
this._internalID=_1.internalID;
this._visible=_1.visible;
this._recurrenceState=_1.recurrenceState;
this._recurrenceParentID=_1.recurrenceParentID;
this._serializedResources=_1.resources;
this._resources=null;
this._domElements=_1.domElements;
this._domElement=null;
this._allowEdit=null;
if(typeof (_1.allowEdit)!="undefined"){
this._allowEdit=_1.allowEdit;
}
this._allowDelete=null;
if(typeof (_1.allowDelete)!="undefined"){
this._allowDelete=_1.allowDelete;
}
this._radScheduler=_2;
this._oldZIndex=null;
this._originalParent=null;
this._selected=false;
if(typeof (_1.attributes)!="undefined"){
this._attributes._load(_1.attributes);
}
};
Telerik.Web.UI.SchedulerAppointment._incrementMilliseconds=function(_4,_5){
_4.setTime(_4.getTime()+_5);
};
Telerik.Web.UI.SchedulerAppointment.prototype={get_id:function(){
return this._id;
},get_subject:function(){
return this._subject;
},set_subject:function(_6){
this._subject=_6;
},get_start:function(){
return this._start;
},set_start:function(_7){
this._start=_7;
},get_end:function(){
return this._end;
},set_end:function(_8){
this._end=_8;
},get_toolTip:function(){
return this._toolTip;
},set_toolTip:function(_9){
this._toolTip=_9;
},get_radScheduler:function(){
return this._radScheduler;
},get_allowEdit:function(){
return this._allowEdit;
},set_allowEdit:function(_a){
this._allowEdit=_a;
},get_allowDelete:function(){
return this._allowDelete;
},set_allowDelete:function(_b){
this._allowDelete=_b;
},get_element:function(){
if(!this._domElement&&this._domElements.length>0){
this._domElement=$get(this._domElements[0]);
}
return this._domElement;
},get_attributes:function(){
return this._attributes;
},get_recurrenceState:function(){
return this._recurrenceState;
},get_recurrenceParentID:function(){
return this._recurrenceParentID;
},get_resources:function(){
if(!this._resources){
this._resources=new Telerik.Web.UI.SchedulerResourceCollection();
for(var _c in this._serializedResources){
var _d=this._serializedResources[_c];
if(_d.text){
this._resources.add(new Telerik.Web.UI.SchedulerResource(_d));
}else{
var _e=this.get_radScheduler().get_resources().getResourcesByType(_d.type);
var _f=this._resources;
_e.forEach(function(_10){
if(_10.get_key()==_d.key){
_f.add(_10);
}
});
}
}
}
return this._resources;
},edit:function(){
var _11=this.get_radScheduler();
if(_11){
_11.editAppointment(this);
}
},remove:function(){
var _12=this.get_radScheduler();
if(_12){
_12.deleteAppointment(this);
}
},_getDuration:function(){
return this._end-this._start;
},_setDuration:function(_13){
var _14=this.get_element();
var _15=_13/60000;
var _16=_14.parentNode.parentNode.offsetHeight;
var _17=$telerik.getBorderWidth(_14.parentNode.parentNode,Telerik.Web.BoxSide.Bottom);
var _18=((_15/this.get_radScheduler().get_minutesPerRow())*_16)-_17;
var _19=parseInt(_14.style.paddingBottom);
if(isNaN(_19)){
_19=0;
}
_14.style.height=_18-_19+"px";
if($telerik.isIE&&$telerik.quirksMode){
var _1a=_14.firstChild;
_1a.style.height="";
Telerik.Web.UI.RadScheduler._adjustSingleAppointmentHeight(_14,_14._initialHeightInRows,1);
}
Telerik.Web.UI.RadScheduler._fixIEBottom(_14);
this._end.setTime(this._start.getTime());
Telerik.Web.UI.SchedulerAppointment._incrementMilliseconds(this._end,_13);
},_startDrag:function(){
var _1b=this.get_element();
var _1c=$telerik.getElementByClassName(_1b,"rsAptWrap","div");
var _1d=this.get_radScheduler().get_element();
this._dragTimeout=window.setTimeout(function(){
$telerik.setOpacity(_1c,0.6);
_1d.style.cursor="move";
},100);
this._oldZIndex=_1b.style.zIndex;
_1b.style.zIndex=999;
this._originalParent=_1b.parentNode;
Sys.UI.DomElement.removeCssClass(_1b,"rsWAppointmentDelete");
},_endDrag:function(_1e){
this._finishDrag(_1e,false);
},_abortDrag:function(){
this._finishDrag(null,true);
},_finishDrag:function(_1f,_20){
var _21=this.get_radScheduler();
window.clearTimeout(this._dragTimeout);
var _1f=this.get_element();
var _22=$telerik.getElementByClassName(_1f,"rsAptWrap","div");
$telerik.setOpacity(_22,1);
_1f.style.zindex=this._oldZIndex;
var _23=this.get_radScheduler().get_element();
if(_23&&_23.style){
this.get_radScheduler().get_element().style.cursor="";
}
var _24;
var _25=this._getDuration();
var _26="Move";
if(this._originalParent.parentNode==_1f||_20){
if(_1f.parentNode!=this._originalParent){
this._originalParent.appendChild(_1f);
}
return;
}
var _27=_21._activeModel.getTimeSlotFromDomElement(this._originalParent.parentNode);
var _28=_21._activeModel.getTimeSlotFromDomElement(_1f);
_24={Command:_26,AppointmentID:this._internalID,EditSeries:false,SourceSlotIndex:_27.get_index(),TargetSlotIndex:_28.get_index()};
var _29={OnConfirm:this._onAppointmentMoveCallback,OnAbort:this._onAppointmentMoveAbortCallback,Scheduler:this.get_radScheduler(),Appointment:this,TargetSlot:_28,PostbackEvent:_24,CallbackIsCalledFromDialog:true};
if(_21.get_displayRecurrenceActionDialogOnMove()&&(this._recurrenceState==1||this._recurrenceState==2)){
var _2a=new Telerik.Web.UI.SchedulerRecurrenceActionDialogShowingEventArgs(_29.Appointment,Telerik.Web.UI.RecurrenceAction.Move);
_21.raise_recurrenceActionDialogShowing(_2a);
if(_2a.get_cancel()){
var _2b=_2a.get_editSeries();
if(_2b!==null){
_29.CallbackIsCalledFromDialog=false;
this._onAppointmentMoveCallback(_2b,_29);
}else{
this._onAppointmentMoveAbortCallback(_29);
}
}else{
_21._recurrenceActionDialog.ConfirmRecurrenceAction(Telerik.Web.UI.RecurrenceAction.Move,_29);
}
}else{
_29.CallbackIsCalledFromDialog=false;
this._onAppointmentMoveCallback(false,_29);
}
},_onAppointmentMoveCallback:function(_2c,_2d){
if(_2d.CallbackIsCalledFromDialog){
var _2e=new Telerik.Web.UI.SchedulerRecurrenceActionDialogClosedEventArgs(_2d.Appointment,Telerik.Web.UI.RecurrenceAction.Move,_2c);
_2d.Scheduler.raise_recurrenceActionDialogClosed(_2e);
}
var _2f=new Telerik.Web.UI.SchedulerAppointmentMoveEndEventArgs(_2d.Appointment,_2d.TargetSlot.get_startTime(),_2c,_2d.TargetSlot);
_2d.Scheduler.raiseEvent("appointmentMoveEnd",_2f);
if(_2f.get_cancel()==false){
_2d.PostbackEvent.EditSeries=_2c;
_2d.Scheduler.postback(_2d.PostbackEvent);
}else{
_2d.Appointment._abortDrag();
}
},_onAppointmentMoveAbortCallback:function(_30){
_30.Appointment._abortDrag();
},_select:function(){
this._selected=true;
},_unselect:function(){
this._selected=false;
}};
Telerik.Web.UI.SchedulerAppointment.registerClass("Telerik.Web.UI.SchedulerAppointment");
Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.SchedulerAppointmentCollection=function(){
this._array=new Array();
};
Telerik.Web.UI.SchedulerAppointmentCollection.prototype={add:function(_31){
var _32=this._array.length;
this.insert(_32,_31);
},insert:function(_33,_34){
Array.insert(this._array,_33,_34);
},remove:function(_35){
Array.remove(this._array,_35);
},removeAt:function(_36){
var _37=this.getAppointment(_36);
if(_37){
this.remove(_37);
}
},clear:function(){
this._array=new Array();
},get_count:function(){
return this._array.length;
},getAppointment:function(_38){
return this._array[_38];
},indexOf:function(_39){
return Array.indexOf(this._array,_39);
},forEach:function(_3a){
for(var i=0,_3c=this.get_count();i<_3c;i++){
_3a(this.getAppointment(i));
}
},getAppointmentsInRange:function(_3d,end){
var _3f=new Telerik.Web.UI.SchedulerAppointmentCollection();
this.forEach(function(_40){
var _41=_40.get_start();
var _42=_40.get_end();
if(_41<end&&_42>_3d){
_3f.add(_40);
}
});
return _3f;
},getAppointmentsStartingInRange:function(_43,end){
var _45=new Telerik.Web.UI.SchedulerAppointmentCollection();
this.forEach(function(_46){
var _47=_46.get_start();
if(_47>=_43&&_47<end){
_45.add(_46);
}
});
return _45;
},findByID:function(id){
var _49;
this.forEach(function(_4a){
if(_4a.get_id()==id){
_49=_4a;
}
});
return _49;
}};
Telerik.Web.UI.SchedulerAppointmentCollection.registerClass("Telerik.Web.UI.SchedulerAppointmentCollection");
Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.SchedulerAppointmentEventArgs=function(_4b){
Telerik.Web.UI.SchedulerAppointmentEventArgs.initializeBase(this);
this._appointment=_4b;
};
Telerik.Web.UI.SchedulerAppointmentEventArgs.prototype={get_appointment:function(){
return this._appointment;
}};
Telerik.Web.UI.SchedulerAppointmentEventArgs.registerClass("Telerik.Web.UI.SchedulerAppointmentEventArgs",Sys.EventArgs);
Telerik.Web.UI.SchedulerAppointmentCancelEventArgs=function(_4c){
Telerik.Web.UI.SchedulerAppointmentCancelEventArgs.initializeBase(this);
this._appointment=_4c;
};
Telerik.Web.UI.SchedulerAppointmentCancelEventArgs.prototype={get_appointment:function(){
return this._appointment;
}};
Telerik.Web.UI.SchedulerAppointmentCancelEventArgs.registerClass("Telerik.Web.UI.SchedulerAppointmentCancelEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.SchedulerAppointmentClickEventArgs=function(_4d){
Telerik.Web.UI.SchedulerAppointmentClickEventArgs.initializeBase(this,[_4d]);
};
Telerik.Web.UI.SchedulerAppointmentClickEventArgs.registerClass("Telerik.Web.UI.SchedulerAppointmentClickEventArgs",Telerik.Web.UI.SchedulerAppointmentEventArgs);
Telerik.Web.UI.SchedulerAppointmentInsertingEventArgs=function(_4e,_4f,_50){
Telerik.Web.UI.SchedulerAppointmentInsertingEventArgs.initializeBase(this);
this._startTime=_4e;
this._isAllDay=_4f;
this._targetSlot=_50;
};
Telerik.Web.UI.SchedulerAppointmentInsertingEventArgs.prototype={get_startTime:function(){
return this._startTime;
},get_isAllDay:function(){
return this._isAllDay;
},get_targetSlot:function(){
return this._targetSlot;
}};
Telerik.Web.UI.SchedulerAppointmentInsertingEventArgs.registerClass("Telerik.Web.UI.SchedulerAppointmentInsertingEventArgs",Sys.CancelEventArgs);
Telerik.Web.UI.SchedulerAppointmentResizeStartEventArgs=function(_51){
Telerik.Web.UI.SchedulerAppointmentResizeStartEventArgs.initializeBase(this,[_51]);
};
Telerik.Web.UI.SchedulerAppointmentResizeStartEventArgs.registerClass("Telerik.Web.UI.SchedulerAppointmentResizeStartEventArgs",Telerik.Web.UI.SchedulerAppointmentCancelEventArgs);
Telerik.Web.UI.SchedulerAppointmentResizeEndEventArgs=function(_52,_53,_54){
Telerik.Web.UI.SchedulerAppointmentResizeEndEventArgs.initializeBase(this,[_52]);
this._newTime=_53;
this._editingRecurringSeries=_54;
};
Telerik.Web.UI.SchedulerAppointmentResizeEndEventArgs.prototype={get_newTime:function(){
return this._newTime;
},get_editingRecurringSeries:function(){
return this._editingRecurringSeries;
}};
Telerik.Web.UI.SchedulerAppointmentResizeEndEventArgs.registerClass("Telerik.Web.UI.SchedulerAppointmentResizeEndEventArgs",Telerik.Web.UI.SchedulerAppointmentCancelEventArgs);
Telerik.Web.UI.SchedulerAppointmentResizingEventArgs=function(_55,_56){
Telerik.Web.UI.SchedulerAppointmentResizingEventArgs.initializeBase(this,[_55]);
this._targetSlot=_56;
};
Telerik.Web.UI.SchedulerAppointmentResizingEventArgs.prototype={get_targetSlot:function(){
return this._targetSlot;
}};
Telerik.Web.UI.SchedulerAppointmentResizingEventArgs.registerClass("Telerik.Web.UI.SchedulerAppointmentResizingEventArgs",Telerik.Web.UI.SchedulerAppointmentCancelEventArgs);
Telerik.Web.UI.SchedulerAppointmentDeletingEventArgs=function(_57,_58){
Telerik.Web.UI.SchedulerAppointmentDeletingEventArgs.initializeBase(this,[_57]);
this._editingRecurringSeries=_58;
};
Telerik.Web.UI.SchedulerAppointmentDeletingEventArgs.prototype={get_editingRecurringSeries:function(){
return this._editingRecurringSeries;
}};
Telerik.Web.UI.SchedulerAppointmentDeletingEventArgs.registerClass("Telerik.Web.UI.SchedulerAppointmentDeletingEventArgs",Telerik.Web.UI.SchedulerAppointmentCancelEventArgs);
Telerik.Web.UI.SchedulerAppointmentDeletedEventArgs=function(_59){
Telerik.Web.UI.SchedulerAppointmentDeletedEventArgs.initializeBase(this,[_59]);
};
Telerik.Web.UI.SchedulerAppointmentDeletedEventArgs.registerClass("Telerik.Web.UI.SchedulerAppointmentDeletedEventArgs",Telerik.Web.UI.SchedulerAppointmentEventArgs);
Telerik.Web.UI.SchedulerAppointmentEditingEventArgs=function(_5a,_5b){
Telerik.Web.UI.SchedulerAppointmentEditingEventArgs.initializeBase(this,[_5a]);
this._editingRecurringSeries=_5b;
};
Telerik.Web.UI.SchedulerAppointmentEditingEventArgs.prototype={get_editingRecurringSeries:function(){
return this._editingRecurringSeries;
}};
Telerik.Web.UI.SchedulerAppointmentEditingEventArgs.registerClass("Telerik.Web.UI.SchedulerAppointmentEditingEventArgs",Telerik.Web.UI.SchedulerAppointmentCancelEventArgs);
Telerik.Web.UI.SchedulerAppointmentMoveStartEventArgs=function(_5c){
Telerik.Web.UI.SchedulerAppointmentMoveStartEventArgs.initializeBase(this,[_5c]);
};
Telerik.Web.UI.SchedulerAppointmentMoveStartEventArgs.registerClass("Telerik.Web.UI.SchedulerAppointmentMoveStartEventArgs",Telerik.Web.UI.SchedulerAppointmentCancelEventArgs);
Telerik.Web.UI.SchedulerAppointmentMovingEventArgs=function(_5d,_5e){
Telerik.Web.UI.SchedulerAppointmentMovingEventArgs.initializeBase(this,[_5d]);
this._targetSlot=_5e;
};
Telerik.Web.UI.SchedulerAppointmentMovingEventArgs.prototype={get_targetSlot:function(){
return this._targetSlot;
}};
Telerik.Web.UI.SchedulerAppointmentMovingEventArgs.registerClass("Telerik.Web.UI.SchedulerAppointmentMovingEventArgs",Telerik.Web.UI.SchedulerAppointmentCancelEventArgs);
Telerik.Web.UI.SchedulerAppointmentMoveEndEventArgs=function(_5f,_60,_61,_62){
Telerik.Web.UI.SchedulerAppointmentMoveEndEventArgs.initializeBase(this,[_5f]);
this._targetSlot=_62;
this._newStartTime=_60;
this._editingRecurringSeries=_61;
};
Telerik.Web.UI.SchedulerAppointmentMoveEndEventArgs.prototype={get_newStartTime:function(){
return this._newStartTime;
},get_editingRecurringSeries:function(){
return this._editingRecurringSeries;
},get_targetSlot:function(){
return this._targetSlot;
}};
Telerik.Web.UI.SchedulerAppointmentMoveEndEventArgs.registerClass("Telerik.Web.UI.SchedulerAppointmentMoveEndEventArgs",Telerik.Web.UI.SchedulerAppointmentCancelEventArgs);
Telerik.Web.UI.SchedulerTimeSlotClickEventArgs=function(_63,_64){
Telerik.Web.UI.SchedulerTimeSlotClickEventArgs.initializeBase(this);
this._time=_63;
this._targetSlot=_64;
};
Telerik.Web.UI.SchedulerTimeSlotClickEventArgs.prototype={get_time:function(){
return this._time;
},get_targetSlot:function(){
return this._targetSlot;
}};
Telerik.Web.UI.SchedulerTimeSlotClickEventArgs.registerClass("Telerik.Web.UI.SchedulerTimeSlotClickEventArgs",Sys.EventArgs);
Telerik.Web.UI.SchedulerAppointmentDoubleClickEventArgs=function(_65){
Telerik.Web.UI.SchedulerAppointmentDoubleClickEventArgs.initializeBase(this,[_65]);
};
Telerik.Web.UI.SchedulerAppointmentDoubleClickEventArgs.registerClass("Telerik.Web.UI.SchedulerAppointmentDoubleClickEventArgs",Telerik.Web.UI.SchedulerAppointmentEventArgs);
Telerik.Web.UI.SchedulerRecurrenceActionDialogShowingEventArgs=function(_66,_67){
Telerik.Web.UI.SchedulerRecurrenceActionDialogShowingEventArgs.initializeBase(this,[_66]);
this._recurrenceAction=_67;
this._editSeries=null;
};
Telerik.Web.UI.SchedulerRecurrenceActionDialogShowingEventArgs.prototype={get_recurrenceAction:function(){
return this._recurrenceAction;
},get_editSeries:function(){
return this._editSeries;
},set_editSeries:function(_68){
this._editSeries=_68;
}};
Telerik.Web.UI.SchedulerRecurrenceActionDialogShowingEventArgs.registerClass("Telerik.Web.UI.SchedulerRecurrenceActionDialogShowingEventArgs",Telerik.Web.UI.SchedulerAppointmentCancelEventArgs);
Telerik.Web.UI.SchedulerRecurrenceActionDialogClosedEventArgs=function(_69,_6a,_6b){
Telerik.Web.UI.SchedulerRecurrenceActionDialogClosedEventArgs.initializeBase(this,[_69]);
this._recurrenceAction=_6a;
this._editSeries=_6b;
};
Telerik.Web.UI.SchedulerRecurrenceActionDialogClosedEventArgs.prototype={get_recurrenceAction:function(){
return this._recurrenceAction;
},get_editSeries:function(){
return this._editSeries;
}};
Telerik.Web.UI.SchedulerRecurrenceActionDialogClosedEventArgs.registerClass("Telerik.Web.UI.SchedulerRecurrenceActionDialogClosedEventArgs",Telerik.Web.UI.SchedulerAppointmentEventArgs);
Telerik.Web.UI.SchedulerFormCreatedEventArgs=function(_6c,_6d){
Telerik.Web.UI.SchedulerFormCreatedEventArgs.initializeBase(this,[_6c]);
this._formElement=_6d;
};
Telerik.Web.UI.SchedulerFormCreatedEventArgs.prototype={get_formElement:function(){
return this._formElement;
}};
Telerik.Web.UI.SchedulerFormCreatedEventArgs.registerClass("Telerik.Web.UI.SchedulerFormCreatedEventArgs",Telerik.Web.UI.SchedulerAppointmentCancelEventArgs);
Telerik.Web.UI.SchedulerAppointmentContextMenuEventArgs=function(_6e,_6f){
Telerik.Web.UI.SchedulerAppointmentContextMenuEventArgs.initializeBase(this,[_6e]);
this._domEvent=_6f;
};
Telerik.Web.UI.SchedulerAppointmentContextMenuEventArgs.prototype={get_domEvent:function(){
return this._domEvent;
}};
Telerik.Web.UI.SchedulerAppointmentContextMenuEventArgs.registerClass("Telerik.Web.UI.SchedulerAppointmentContextMenuEventArgs",Telerik.Web.UI.SchedulerAppointmentEventArgs);
Telerik.Web.UI.SchedulerTimeSlotContextMenuEventArgs=function(_70,_71,_72,_73){
Telerik.Web.UI.SchedulerTimeSlotContextMenuEventArgs.initializeBase(this);
this._time=_70;
this._isAllDay=_71;
this._domEvent=_72;
this._targetSlot=_73;
};
Telerik.Web.UI.SchedulerTimeSlotContextMenuEventArgs.prototype={get_time:function(){
return this._time;
},get_isAllDay:function(){
return this._isAllDay;
},get_domEvent:function(){
return this._domEvent;
},get_targetSlot:function(){
return this._targetSlot;
}};
Telerik.Web.UI.SchedulerTimeSlotContextMenuEventArgs.registerClass("Telerik.Web.UI.SchedulerTimeSlotContextMenuEventArgs",Sys.EventArgs);
Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.SchedulerViewType=function(){
};
Telerik.Web.UI.SchedulerViewType.prototype={DayView:0,WeekView:1,MonthView:2,ResourceView:3,TimelineView:4};
Telerik.Web.UI.SchedulerViewType.registerEnum("Telerik.Web.UI.SchedulerViewType");
Telerik.Web.UI.RadScheduler=function(_74){
Telerik.Web.UI.RadScheduler.initializeBase(this,[_74]);
this._styles={dragTarget:"rsDragTarget"};
this._postBackReference=null;
this._minutesPerRow=30;
this._numberOfHoveredRows=2;
this._selectedView=0;
this._readOnly=false;
this._overflowBehavior=1;
this._shouldPostbackOnClick=true;
this._displayDeleteConfirmation=true;
this._displayRecurrenceActionDialogOnMove=false;
this._firstDayStart=null;
this._appointments=null;
this._currentAppointment=null;
this._resources=null;
this._scrollTop=0;
this._localization=null;
this._shouldFireFormCreated=false;
this._inlineFormDiv=null;
this._advancedFormDiv=null;
this._advancedTemplate=null;
this._attributes=new Telerik.Web.UI.SchedulerAttributeCollection();
this._allowEdit=true;
this._allowDelete=true;
this._allowInsert=true;
this._enableAdvancedTemplateScript=false;
this._dragging=false;
this._editing=false;
this._draggingAppointment=null;
this._selectedAppointment=null;
this._onKeyboardEventDelegate=null;
this._updateScrollTopDelegate=null;
this._modelClassName=null;
this._modelData={};
this._activeModel=null;
this._modelTables=null;
this._resizingState={};
this._eventMap=new Telerik.Web.UI.EventMap();
this._recurrenceActionDialog=new Telerik.Web.UI.RecurrenceActionDialog(this);
};
Telerik.Web.UI.RadScheduler._adjustHeight=function(_75){
var _76=$get(_75);
var _77=_76.offsetHeight;
var _78=_77;
var _79=null;
var _7a=_76.childNodes;
var _7b=_7a.length;
for(var i=0;i<_7b;i++){
var _7d=_7a[i];
if(_7d.tagName&&_7d.tagName.toLowerCase()=="div"){
if(Sys.UI.DomElement.containsCssClass(_7d,"rsContent")){
_79=_7d;
}else{
_78-=_7d.offsetHeight;
}
}
}
if(_79!=null){
var _7e=$telerik.getPaddingBox(_79).vertical;
var _7f=$telerik.getBorderBox(_79).vertical;
_78-=_7e+_7f;
_78=Math.max(_78,50);
if(_78!=_79.offsetHeight){
_79.style.height=_78+"px";
}
}
var _80=$telerik.getElementByClassName(_76,"rsAllDayLastCell","td");
if(_80){
_80.firstChild.style.width=(Telerik.Web.UI.RadScheduler._getScrollBarWidth()-1)+"px";
}
var _81=$telerik.getElementByClassName(_76,"rsColumnHeaderLastCell","td");
if(_81){
_81.firstChild.style.width=(Telerik.Web.UI.RadScheduler._getScrollBarWidth()-1)+"px";
}
};
Telerik.Web.UI.RadScheduler._incrementTime=function(_82,_83,_84){
if(isNaN(_84)){
_84=0;
}
var _85=_82.getTimezoneOffset();
_82.setTime(_82.getTime()+(_83*3600000)+(_84*60000));
var _86=_82.getTimezoneOffset();
_82.setTime(_82.getTime()+((_86-_85)*60000));
};
Telerik.Web.UI.RadScheduler._getScrollBarWidth=function(){
if(Telerik.Web.UI.RadScheduler._scrollbarWidth){
return Telerik.Web.UI.RadScheduler._scrollbarWidth;
}
var _87,_88=0;
var _89=document.createElement("div");
_89.style.position="absolute";
_89.style.top="-1000px";
_89.style.left="-1000px";
_89.style.width="100px";
_89.style.height="50px";
_89.style.overflow="hidden";
var _8a=document.createElement("div");
_8a.style.width="100%";
_8a.style.height="200px";
_89.appendChild(_8a);
document.body.appendChild(_89);
var _8b=_8a.offsetWidth;
_89.style.overflow="auto";
var _8c=_8a.offsetWidth;
Telerik.Web.UI.RadScheduler._scrollbarWidth=_8b-_8c;
if(Telerik.Web.UI.RadScheduler._scrollbarWidth<=0){
_8a.style.width="300px";
_87=_89.offsetWidth;
_88=_89.clientWidth;
Telerik.Web.UI.RadScheduler._scrollbarWidth=_87-_88;
}
if(Telerik.Web.UI.RadScheduler._scrollbarWidth<=0){
Telerik.Web.UI.RadScheduler._scrollbarWidth=16;
}
document.body.removeChild(document.body.lastChild);
return Telerik.Web.UI.RadScheduler._scrollbarWidth;
};
Telerik.Web.UI.RadScheduler._preInitialize=function(_8d,_8e){
var _8f=$get(_8d);
var _90=$telerik.getElementByClassName(_8f,"rsContent","div");
if(_90){
_90.scrollTop=_8e;
}
Telerik.Web.UI.RadScheduler._adjustAppointmentsHeight(_8d);
};
Telerik.Web.UI.RadScheduler._adjustAppointmentsHeight=function(_91){
if(!($telerik.isIE&&$telerik.quirksMode)){
return;
}
var _92=$get(_91);
var _93=_92.getElementsByTagName("div");
for(var i=0;i<_93.length;i++){
var _95=_93[i];
if(!Sys.UI.DomElement.containsCssClass(_95,"rsApt")){
continue;
}
var _96=parseInt(_95.offsetHeight);
if(_96==0){
return;
}
if(!_95.style.height.endsWith("%")){
return;
}
var _97=parseInt(_95.style.height)/100;
Telerik.Web.UI.RadScheduler._adjustSingleAppointmentHeight(_95,_97);
_95._initialHeightInRows=_97;
}
};
Telerik.Web.UI.RadScheduler._adjustSingleAppointmentHeight=function(_98,_99){
var _9a=_98.parentNode.parentNode;
var _9b=$telerik.getBorderBox(_9a).vertical;
var _9c=_9b*2;
var _9d=parseInt(_98.offsetHeight);
var _9e=_9d+(_99*_9c)+_9b;
var _9f=$telerik.getPaddingBox(_98).vertical;
_9e=_9e-_9f;
_98.style.height=_9e+"px";
var _a0=_98.firstChild;
_a0.style.height=_9e+"px";
Telerik.Web.UI.RadScheduler._fixIEBottom(_98);
};
Telerik.Web.UI.RadScheduler._fixIEBottom=function(_a1){
if($telerik.isIE6||($telerik.isIE&&$telerik.quirksMode)){
var _a2=$telerik.getElementByClassName(_a1,"rsAptBottom","div");
if(_a1.offsetHeight%2!=0){
_a2.style.bottom="-1px";
}else{
_a2.style.bottom="0px";
}
}
};
Telerik.Web.UI.RadScheduler.prototype={initialize:function(){
var _a3=this.get_element();
Telerik.Web.UI.RadScheduler.callBaseMethod(this,"initialize");
this._activeModel=new (Type.parse(this._modelClassName))(this,this._modelData);
this._activeModel.initialize();
this._eventMap.initialize(this);
var _a4=this.get_contentElement();
if(_a4){
_a4.scrollTop=this.get_scrollTop();
}
this.updateClientState();
this.repaint();
var _a5=$telerik.getFirstChildByTagName(_a3,"div",0);
if(_a5&&Sys.UI.DomElement.containsCssClass(_a5,"rsAdvancedEdit")){
this._advancedFormDiv=_a5;
if(typeof (Telerik.Web.UI.Scheduling)!="undefined"&&typeof (Telerik.Web.UI.Scheduling.AdvancedTemplate)!="undefined"&&this._enableAdvancedTemplateScript){
this._advancedTemplate=new Telerik.Web.UI.Scheduling.AdvancedTemplate(this._advancedFormDiv);
this._advancedTemplate.initialize();
}
}else{
this._eventMap.addHandlerForClassName("scroll","rsContent",this._updateScrollTop);
this._eventMap.addHandlerForClassName("dblclick","rsAptEdit",this._stopEventPropagation);
this._eventMap.addHandlerForClassName("dblclick","rsApt",this._onAppointmentDoubleClick);
this._eventMap.addHandlerForClassName("dblclick","rsAllDayCell",this._onCellDoubleClick);
this._eventMap.addHandlerForClassName("dblclick","rsCell",this._onCellDoubleClick);
this._eventMap.addHandlerForClassName("click","rsAptResize",this._onResizeGripMouseClick);
this._eventMap.addHandlerForClassName("click","rsApt",this._onAppointmentClick);
this._eventMap.addHandlerForClassName("click","rsAptDelete",this._onAppointmentDeleteClick);
this._eventMap.addHandlerForClassName("click","rsArrowTop",this._onPreviousDayClick);
this._eventMap.addHandlerForClassName("click","rsArrowBottom",this._onNextDayClick);
this._eventMap.addHandlerForClassName("click","rsArrowLeft",this._onPreviousDayClick);
this._eventMap.addHandlerForClassName("click","rsArrowRight",this._onNextDayClick);
this._eventMap.addHandlerForClassName("click","rsNextDay",this._onNextSchedulerDayClick);
this._eventMap.addHandlerForClassName("click","rsPrevDay",this._onPreviousSchedulerDayClick);
this._eventMap.addHandlerForClassName("click","rsToday",this._onTodayClick);
this._eventMap.addHandlerForClassName("click","rsFullTime",this._onFullTimeLinkClick);
this._eventMap.addHandlerForClassName("click","rsAptEdit",this._onEditFormClick);
this._eventMap.addHandlerForClassName("click","rsShowMore",this._onShowMoreClick);
this._eventMap.addHandlerForClassName("click","rsHeaderDay",this._onDayViewTabClick);
this._eventMap.addHandlerForClassName("click","rsHeaderWeek",this._onWeekViewTabClick);
this._eventMap.addHandlerForClassName("click","rsHeaderMonth",this._onMonthViewTabClick);
this._eventMap.addHandlerForClassName("click","rsHeaderTimeline",this._onTimelineViewTabClick);
this._eventMap.addHandlerForClassName("click","rsHeaderMultiDay",this._onMultiDayViewTabClick);
this._eventMap.addHandlerForClassName("click","rsCell",this._onCellClick);
this._eventMap.addHandlerForClassName("click","rsAllDayCell",this._onCellClick);
this._eventMap.addHandlerForClassName("mouseover","rsCell",this._onRowMouseOver);
this._eventMap.addHandlerForClassName("mouseover","rsAllDayCell",this._onAllDayCellMouseOver);
this._eventMap.addHandlerForClassName("mouseover","rsApt",this._onAppointmentMouseOver);
this._eventMap.addHandlerForClassName("mouseover","rsAptResize",this._onResizeGripMouseOver);
this._eventMap.addHandlerForClassName("mouseout","rsCell",this._onRowMouseOut);
this._eventMap.addHandlerForClassName("mouseout","rsAllDayCell",this._onRowMouseOut);
this._eventMap.addHandlerForClassName("mouseout","rsApt",this._onAppointmentMouseOut);
this._eventMap.addHandlerForClassName("mousedown","rsAptDelete",this._stopEventPropagation);
this._eventMap.addHandlerForClassName("mousedown","rsApt",this._onAppointmentMouseDown);
this._eventMap.addHandlerForClassName("mousedown","rsAptResize",this._onResizeGripMouseDown);
this._eventMap.addHandlerForClassName("mouseup","rsCell",this._endDrag);
this._eventMap.addHandlerForClassName("contextmenu","rsApt",this._onAppointmentContextMenu);
this._eventMap.addHandlerForClassName("contextmenu","rsCell",this._onCellContextMenu);
this._eventMap.addHandlerForClassName("contextmenu","rsAllDayCell",this._onCellContextMenu);
var _a6=this.get_contentElement();
if(_a6){
this._updateScrollTopDelegate=Function.createDelegate(this,this._updateScrollTop);
$addHandler(this.get_contentElement(),"scroll",this._updateScrollTopDelegate);
}
this._onKeyboardEventDelegate=Function.createDelegate(this,this._onKeyboardEvent);
$addHandler(document.documentElement,"keydown",this._onKeyboardEventDelegate);
}
this._onResizeGripMouseMoveDelegate=Function.createDelegate(this,this._onResizeGripMouseMove);
this._onResizeGripMouseUpDelegate=Function.createDelegate(this,this._onResizeGripMouseUp);
this._onSelectStartDelegate=Function.createDelegate(this,this._onSelectStart);
this._onDocMouseUpDelegate=Function.createDelegate(this,this._onDocMouseUp);
this._onDocumentMouseMoveDelegate=Function.createDelegate(this,this._onDocumentMouseMove);
this._fireFormCreated();
},dispose:function(){
var _a7=this.get_element();
if(this._onKeyboardEventDelegate){
$removeHandler(document.documentElement,"keydown",this._onKeyboardEventDelegate);
}
if(this._updateScrollTopDelegate){
$removeHandler(this.get_contentElement(),"scroll",this._updateScrollTopDelegate);
}
this._eventMap.dispose();
this._recurrenceActionDialog.dispose();
if(this._advancedTemplate){
this._advancedTemplate.dispose();
}
this._modelTables=null;
this._resizingState=null;
Telerik.Web.UI.RadScheduler.callBaseMethod(this,"dispose");
},repaint:function(){
if(this.get_overflowBehavior()==1){
Telerik.Web.UI.RadScheduler._adjustHeight(this.get_id());
if(typeof (Telerik.Web.UI.Scheduling)!="undefined"&&typeof (Telerik.Web.UI.Scheduling.AdvancedTemplate)!="undefined"){
Telerik.Web.UI.Scheduling.AdvancedTemplate._adjustHeight(this.get_id());
}
}
Telerik.Web.UI.RadScheduler._adjustAppointmentsHeight(this.get_id());
this._initializeModelTables();
},get_appointments:function(){
return this._appointments;
},set_appointments:function(_a8){
this._appointments=new Telerik.Web.UI.SchedulerAppointmentCollection();
var _a9=eval("("+_a8+")");
for(var i=0;i<_a9.length;i++){
var _ab=new Telerik.Web.UI.SchedulerAppointment(_a9[i],this);
this._appointments.add(_ab);
}
},get_resources:function(){
return this._resources;
},set_resources:function(_ac){
this._resources=new Telerik.Web.UI.SchedulerResourceCollection();
var _ad=Sys.Serialization.JavaScriptSerializer.deserialize(_ac);
for(var i=0;i<_ad.length;i++){
var _af=new Telerik.Web.UI.SchedulerResource(_ad[i]);
this._resources.add(_af);
}
},get_firstDayStart:function(){
return this._firstDayStart;
},set_firstDayStart:function(_b0){
this._firstDayStart=new Date(Date.parse(_b0));
},get_currentAppointment:function(){
return this._currentAppointment;
},set_currentAppointment:function(_b1){
var _b2=Sys.Serialization.JavaScriptSerializer.deserialize(_b1);
this._currentAppointment=new Telerik.Web.UI.SchedulerAppointment(_b2,this,null);
},get_localization:function(){
return this._localization;
},set_localization:function(_b3){
this._localization=Sys.Serialization.JavaScriptSerializer.deserialize(_b3);
},get_scrollTop:function(){
return this._scrollTop;
},set_scrollTop:function(_b4){
this._scrollTop=_b4;
},get_displayDeleteConfirmation:function(){
return this._displayDeleteConfirmation;
},set_displayDeleteConfirmation:function(_b5){
this._displayDeleteConfirmation=_b5;
},get_displayRecurrenceActionDialogOnMove:function(){
return this._displayRecurrenceActionDialogOnMove;
},set_displayRecurrenceActionDialogOnMove:function(_b6){
this._displayRecurrenceActionDialogOnMove=_b6;
},get_shouldPostbackOnClick:function(){
return this._shouldPostbackOnClick;
},set_shouldPostbackOnClick:function(_b7){
this._shouldPostbackOnClick=_b7;
},get_overflowBehavior:function(){
return this._overflowBehavior;
},set_overflowBehavior:function(_b8){
this._overflowBehavior=_b8;
},get_readOnly:function(){
return this._readOnly;
},set_readOnly:function(_b9){
this._readOnly=_b9;
},get_selectedView:function(){
return this._selectedView;
},set_selectedView:function(_ba){
this._selectedView=_ba;
},get_minutesPerRow:function(){
return this._minutesPerRow;
},set_minutesPerRow:function(_bb){
this._minutesPerRow=_bb;
},get_postBackReference:function(){
return this._postBackReference;
},set_postBackReference:function(_bc){
this._postBackReference=_bc;
},get_allowEdit:function(){
return this._allowEdit;
},set_allowEdit:function(_bd){
this._allowEdit=_bd;
},get_allowDelete:function(){
return this._allowDelete;
},set_allowDelete:function(_be){
this._allowDelete=_be;
},get_allowInsert:function(){
return this._allowInsert;
},set_allowInsert:function(_bf){
this._allowInsert=_bf;
},get_attributes:function(){
return this._attributes;
},set_attributes:function(_c0){
this._attributes._load(_c0);
},get_activeModel:function(){
return this._activeModel;
},set_numberOfHoveredRows:function(_c1){
this._numberOfHoveredRows=_c1;
},get_numberOfHoveredRows:function(){
return this._numberOfHoveredRows;
},set_groupBy:function(_c2){
this._groupBy=_c2;
},get_groupBy:function(){
return this._groupBy;
},get_contentElement:function(){
return $telerik.getElementByClassName(this.get_element(),"rsContent","div");
},showInsertFormAt:function(_c3){
var _c4={command:"Insert",appointmentID:-1,targetSlotIndex:_c3.get_index()};
this.postback(_c4);
},insertAppointment:function(_c5){
var _c6={command:"InsertAppointment",appointment:this._getSerializableAppointment(_c5),startDate:_c5.get_start().format("yyyyMMddHHmm"),endDate:_c5.get_end().format("yyyyMMddHHmm")};
this.postback(_c6);
},updateAppointment:function(_c7,_c8){
var _c9={command:"UpdateAppointment",appointmentID:_c7._internalID,appointment:this._getSerializableAppointment(_c7),startDate:_c7.get_start().format("yyyyMMddHHmm"),endDate:_c7.get_end().format("yyyyMMddHHmm"),editSeries:_c8};
this.postback(_c9);
},editAppointment:function(_ca,_cb){
var _cc={command:"Edit",appointmentID:_ca._internalID,editSeries:_cb};
this.postback(_cc);
},deleteAppointment:function(_cd,_ce){
var _cf={command:"Delete",appointmentID:_cd._internalID,editSeries:_ce};
this.postback(_cf);
},getAppointmentDomElement:function(_d0){
while(_d0&&!Sys.UI.DomElement.containsCssClass(_d0,"rsApt")){
_d0=_d0.parentNode;
}
return _d0;
},getAppointmentFromDomElement:function(_d1){
if(!_d1){
return null;
}
var _d2=this.getAppointmentDomElement(_d1);
var _d3=this.get_appointments();
for(var i=0;i<_d3.get_count();i++){
var _d5=_d3.getAppointment(i);
if(!_d5.get_element()){
continue;
}
for(var _d6=0;_d6<_d5._domElements.length;_d6++){
if(_d2.id==_d5._domElements[_d6]){
return _d5;
}
}
}
return null;
},saveClientState:function(){
return "{\"scrollTop\":"+this._scrollTop+"}";
},_getSerializableAppointment:function(_d7){
return {ID:_d7._internalID,Subject:_d7.get_subject(),RecurrenceState:_d7.get_recurrenceState(),RecurrenceParentID:_d7.get_recurrenceParentID()};
},_fireFormCreated:function(){
if(this._shouldFireFormCreated){
var _d8=this.get_element();
if(this._inlineFormDiv){
_d8=this._inlineFormDiv;
}else{
if(this._advancedFormDiv){
_d8=this._advancedFormDiv;
}
}
var _d9=new Telerik.Web.UI.SchedulerFormCreatedEventArgs(this.get_currentAppointment(),_d8);
this.raise_formCreated(_d9);
}
},_onKeyboardEvent:function(e){
if(e.keyCode==27){
if(this._dragging){
this._abortDrag(e);
}
if(this._resizingState.resizing){
this._resizingState.resizingAppointment._setDuration(this._resizingState.resizingAppointmentDuration);
this._cleanupResize();
}
}
},_updateScrollTop:function(e){
this._scrollTop=this.get_contentElement().scrollTop;
this.updateClientState();
},_onAppointmentClick:function(e){
var _dd=this.getAppointmentFromDomElement(e.eventMapTarget);
if(_dd._selected){
this._editAppointmentInline(_dd);
return;
}
var _de=new Telerik.Web.UI.SchedulerAppointmentClickEventArgs(_dd);
this.raise_appointmentClick(_de);
if(this.get_readOnly()&&this.get_shouldPostbackOnClick()){
var _df={Command:"Click",AppointmentID:_dd._internalID,EditSeries:false};
this.postback(_df);
return;
}
if(this._selectedAppointment){
this._selectedAppointment._unselect();
}
_dd._select();
this._selectedAppointment=_dd;
},_onAppointmentContextMenu:function(e){
var _e1=this.getAppointmentFromDomElement(e.eventMapTarget);
var _e2=new Telerik.Web.UI.SchedulerAppointmentContextMenuEventArgs(_e1,e);
this.raise_appointmentContextMenu(_e2);
},_onEditFormClick:function(e){
e.stopPropagation();
},_removeMonthCellHover:function(){
if(this._currentHoverCell){
Sys.UI.DomElement.removeCssClass(this._currentHoverCell,"rsAptCreate");
}
},_onMonthCellMouseOver:function(e){
if(Sys.UI.DomElement.containsCssClass(e.eventMapTarget,"rsWrap")){
this._currentHoverDiv=e.eventMapTarget;
this._currentHoverCell=e.eventMapTarget.parentNode;
Sys.UI.DomElement.addCssClass(this._currentHoverCell,"rsAptCreate");
}
},_getHourCellFromDomElement:function(_e5){
var _e6=_e5;
while(_e6.tagName.toLowerCase()!="th"){
_e6=_e6.parentNode;
}
return _e6;
},_onAllDayCellMouseOver:function(e){
if(this._dragging&&this._draggingAppointment){
e.eventMapTarget.lastChild.appendChild(this._draggingAppointment.get_element());
}
this._onRowMouseOver(e);
},_onRowMouseOver:function(e){
if(this._dragging){
return;
}
if(!this._resizingState.resizing){
this._removeRowHover();
this._currentHoverDiv=e.eventMapTarget;
this._currentHoverCell=e.eventMapTarget;
var _e9=this.get_numberOfHoveredRows();
hoveredCells=[];
hoveredCells[0]=this._currentHoverCell;
if(Sys.UI.DomElement.containsCssClass(this._currentHoverCell.parentNode,"rsAllDay")||this.get_selectedView()==Telerik.Web.UI.SchedulerViewType.MonthView){
_e9=1;
}
for(var i=1;i<_e9;i++){
var _eb=this._getNextRowCell(hoveredCells[i-1]);
if(_eb){
hoveredCells[i]=_eb;
}else{
break;
}
}
for(var i=0;i<hoveredCells.length;i++){
Sys.UI.DomElement.addCssClass(hoveredCells[i],"rsAptCreate");
}
this._hoveredCells=hoveredCells;
}
},_getNextRowCell:function(_ec){
var _ed=_ec.parentNode;
var _ee=_ed.parentNode;
while(_ee.tagName.toLowerCase()!="table"){
_ee=_ee.parentNode;
}
var _ef=_ee.rows[_ed.rowIndex+1];
var _f0=null;
if(_ef){
var _f1=_ef.cells.length;
var _f2=_ed.cells.length;
if(_f1==_f2){
_f0=_ef.cells[_ec.cellIndex];
}else{
if(_f1<_f2){
_f0=_ef.cells[_ec.cellIndex-1];
}else{
_f0=_ef.cells[_ec.cellIndex+1];
}
}
}
return _f0;
},_onRowMouseOut:function(e){
try{
var _f4=e.rawEvent.relatedTarget?e.rawEvent.relatedTarget:e.rawEvent.toElement;
if(!_f4||!this._currentHoverCell||$telerik.isDescendant(this._currentHoverDiv,_f4)){
return;
}
this._removeRowHover();
}
catch(ex){
return;
}
},_removeRowHover:function(){
if(!this._hoveredCells){
return;
}
this._currentHoverCell=null;
for(var i=0;i<this._hoveredCells.length;i++){
Sys.UI.DomElement.removeCssClass(this._hoveredCells[i],"rsAptCreate");
}
if(this._currentHoverCell){
Sys.UI.DomElement.removeCssClass(this._currentHoverCell,"rsAptCreate");
}
},_stopEventPropagation:function(e){
e.stopPropagation();
},_onResizeGripMouseDown:function(e){
if(this.get_readOnly()){
return;
}
this._resizingState.resizingElement=this.getAppointmentDomElement(e.eventMapTarget);
var _f8=this.getAppointmentFromDomElement(this._resizingState.resizingElement);
var _f9=(_f8.get_allowEdit()!=null)?_f8.get_allowEdit():this.get_allowEdit();
if(!_f9){
return;
}
var _fa=new Telerik.Web.UI.SchedulerAppointmentResizeStartEventArgs(_f8);
this.raise_appointmentResizeStart(_fa);
if(_fa.get_cancel()==false){
this._resizingState.resizing=true;
this._resizingState.resizingAppointment=_f8;
this._resizingState.resizingAppointmentDuration=_f8._getDuration();
$addHandler(document,"mousemove",this._onResizeGripMouseMoveDelegate);
$addHandler(document,"mouseup",this._onResizeGripMouseUpDelegate);
$addHandler(document,"selectstart",this._onSelectStartDelegate);
}
},_onResizeGripMouseMove:function(e){
var _fc=this._resizingState.resizingElement;
if(!_fc){
return;
}
var _fd=_fc.parentNode.parentNode;
var _fe=10;
var _ff=this._getCellFromCoordinates(e.clientX,e.clientY-_fe);
if(!_ff){
return;
}
var _100=this._activeModel.getTimeSlotFromDomElement(_ff);
var _101=new Telerik.Web.UI.SchedulerAppointmentResizingEventArgs(this._resizingState.resizingAppointment,_100);
this.raise_appointmentResizing(_101);
if(_101.get_cancel()){
return;
}
var _102=_fd.offsetHeight;
var _103=_ff.parentNode.rowIndex-_fd.parentNode.rowIndex;
var _104=Math.max(1,(_103+1))*_102;
if($telerik.isIE&&$telerik.quirksMode){
var _105=_fc.firstChild;
_105.style.height="";
}
var _106=_fd.parentNode.parentNode.parentNode;
var _107=_ff.parentNode.parentNode.parentNode;
if(_106!=_107){
return;
}
var _108=parseInt(_fc.style.paddingBottom);
_108=isNaN(_108)?0:_108;
var _104=_104-_108;
if($telerik.isIE&&$telerik.quirksMode){
_104-=$telerik.getBorderBox(_fd).vertical*2;
}
_fc.style.height=_104+"px";
if($telerik.isIE&&$telerik.quirksMode&&_fc._initialHeightInRows){
Telerik.Web.UI.RadScheduler._adjustSingleAppointmentHeight(_fc,_fc._initialHeightInRows);
}
Telerik.Web.UI.RadScheduler._fixIEBottom(this._resizingState.resizingElement);
this._keepElementInView(this._resizingState.resizingElement,true);
},_onSelectStart:function(e){
return false;
},_findResizeTargetSlot:function(_10a){
var _10b=_10a.parentNode.parentNode.offsetHeight;
var _10c=Math.ceil(_10a.offsetHeight/_10b);
var _10d=_10a.parentNode.parentNode;
var _10e=_10d.parentNode;
var _10f=_10e.rowIndex+_10c-1;
_10f=Math.min(_10f,_10e.parentNode.rows.length-1);
var _110=_10e.parentNode.rows[_10f];
var _111=_110.cells[_10d.cellIndex];
return this._activeModel.getTimeSlotFromDomElement(_111);
},_onResizeGripMouseUp:function(e){
if(!this._resizingState.resizingElement){
return;
}
var _113=this._findResizeTargetSlot(this._resizingState.resizingElement);
var _114=this.getAppointmentFromDomElement(this._resizingState.resizingElement);
var _115=this._activeModel.getTimeSlotFromDomElement(_114.get_element());
var _116=_113.get_startTime();
Telerik.Web.UI.RadScheduler._incrementTime(_116,0,this.get_minutesPerRow());
if(_116.getTime()==_114.get_end().getTime()){
this._cleanupResize();
return;
}
var args={OnConfirm:this._onAppointmentResizeCallback,OnAbort:this._onAppointmentResizeAbortCallback,Scheduler:this,Appointment:_114,SourceSlotIndex:_115.get_index(),TargetSlotIndex:_113.get_index(),UpdatedEndDate:_116,ResizingAppointmentDuration:this._resizingState.resizingAppointmentDuration,CallbackIsCalledFromDialog:true};
if(_114._recurrenceState==1||_114._recurrenceState==2){
var _118=new Telerik.Web.UI.SchedulerRecurrenceActionDialogShowingEventArgs(args.Appointment,Telerik.Web.UI.RecurrenceAction.Resize);
this.raise_recurrenceActionDialogShowing(_118);
if(_118.get_cancel()){
var _119=_118.get_editSeries();
if(_119!==null){
args.CallbackIsCalledFromDialog=false;
this._onAppointmentResizeCallback(_119,args);
}else{
this._onAppointmentResizeAbortCallback(args);
}
}else{
this._recurrenceActionDialog.ConfirmRecurrenceAction(Telerik.Web.UI.RecurrenceAction.Resize,args);
}
}else{
args.CallbackIsCalledFromDialog=false;
this._onAppointmentResizeCallback(false,args);
}
e.stopPropagation();
this._cleanupResize();
},_cleanupResize:function(){
this._resizingState.resizing=false;
this._resizingState.resizingElement=null;
this._resizingState.resizingAppointment=null;
this._resizingState.resizingAppointmentDuration=null;
$removeHandler(document,"mousemove",this._onResizeGripMouseMoveDelegate);
$removeHandler(document,"mouseup",this._onResizeGripMouseUpDelegate);
$removeHandler(document,"selectstart",this._onSelectStartDelegate);
},_onAppointmentResizeCallback:function(_11a,args){
if(args.CallbackIsCalledFromDialog){
var _11c=new Telerik.Web.UI.SchedulerRecurrenceActionDialogClosedEventArgs(args.Appointment,Telerik.Web.UI.RecurrenceAction.Resize,_11a);
args.Scheduler.raise_recurrenceActionDialogClosed(_11c);
}
var _11d=new Telerik.Web.UI.SchedulerAppointmentResizeEndEventArgs(args.Appointment,args.UpdatedEndDate,_11a);
args.Scheduler.raise_appointmentResizeEnd(_11d);
if(_11d.get_cancel()==false){
var _11e={Command:"Resize",AppointmentID:args.Appointment._internalID,SourceSlotIndex:args.SourceSlotIndex,TargetSlotIndex:args.TargetSlotIndex,EditSeries:_11a};
args.Scheduler.postback(_11e);
}else{
args.Appointment._setDuration(args.ResizingAppointmentDuration);
}
},_onAppointmentResizeAbortCallback:function(args){
args.Appointment._setDuration(args.ResizingAppointmentDuration);
},_onResizeGripMouseClick:function(e){
e.stopPropagation();
},_onResizeGripMouseOver:function(e){
e.target.style.cursor="s-resize";
e.stopPropagation();
},_initializeModelTables:function(){
this._modelTables=new Array();
var _122=this.get_element().getElementsByTagName("table");
for(var i=0;i<_122.length;i++){
var _124=_122[i];
if(Sys.UI.DomElement.containsCssClass(_124,"rsContentTable")||Sys.UI.DomElement.containsCssClass(_124,"rsAllDayTable")||Sys.UI.DomElement.containsCssClass(_124,"rsTimelineTable")){
_124.targetRect=$telerik.getBounds(_124);
var _125=this.get_contentElement();
if(_125&&$telerik.isDescendant(_125,_124)){
this._compensateScrollOffset(_125,_124);
}
var _126=_124.rows[0].cells[0];
_124.cellWidth=_124.targetRect.width/_124.rows[0].cells.length;
_124.cellHeight=_126.offsetHeight;
Array.add(this._modelTables,_124);
}
}
return this._modelTables;
},_compensateScrollOffset:function(_127,_128){
var _129=$telerik.getScrollOffset(_127,false);
_128.targetRect.x+=_129.x;
_128.targetRect.y+=_129.y;
if($telerik.isSafari){
_128.targetRect.x+=_129.x;
_128.targetRect.y+=_129.y;
}
},_getCellFromCoordinates:function(_12a,_12b){
if(!this.get_element()){
return;
}
var _12c=this._modelTables;
var _12d=$telerik.getElementByClassName(this.get_element(),"rsContent","div");
var _12e=$telerik.getScrollOffset(_12d,true);
for(var i=0,_130=_12c.length;i<_130;i++){
var x=_12a+_12e.x;
var y=_12b+_12e.y;
var _133=_12c[i];
var _134=_133.targetRect;
var _135=_134.y+_134.height;
var _136=_134.x+_134.width;
if(x>=_134.x&&x<=_136&&y>=_134.y&&y<=_135){
var _137=parseInt((y-_134.y)/_133.cellHeight);
_137=Math.min(_133.rows.length-1,Math.max(0,_137));
var _138=parseInt((x-_134.x)/_133.cellWidth);
_138=Math.min(_133.rows[_137].cells.length-1,Math.max(0,_138));
return _133.rows[_137].cells[_138];
}
}
return null;
},_shouldStartDrag:function(_139){
if(!this._initialDragAppointment||!this._initialDragMousePos){
return false;
}
if(Math.abs(this._initialDragMousePos.x-_139.x)>4||Math.abs(this._initialDragMousePos.y-_139.y)>4){
return true;
}
},_onDocumentMouseMove:function(e){
var _13b=this._getMousePosition(e);
if(!this._dragging&&this._shouldStartDrag(_13b)){
this._startDrag(e);
}
if(!this._dragging||!this._draggingAppointment){
return;
}
this._clearSelection();
var _13c=this._draggingAppointment.get_element();
var _13d=this._getCellFromCoordinates(e.clientX,e.clientY-this._draggingOffset);
if(!_13d||_13d.firstChild==_13c.parentNode){
return;
}
Sys.UI.DomElement.removeCssClass(_13c.parentNode,this._styles.dragTarget);
if(_13d.firstChild.nodeType==3){
_13d.removeChild(_13d.firstChild);
var wrap=_13c.parentNode.cloneNode(false);
wrap.style.zIndex=_13d.parentNode.parentNode.rows.length-_13d.parentNode.rowIndex;
if($telerik.isFirefox){
wrap.style.height=_13d.clientHeight+"px";
}
_13d.appendChild(wrap);
}
if(this.get_selectedView()!=Telerik.Web.UI.SchedulerViewType.MonthView){
_13d.firstChild.appendChild(_13c);
}else{
if(_13d.childNodes[1]){
_13d.childNodes[1].appendChild(_13c);
}
}
Sys.UI.DomElement.addCssClass(_13c.parentNode,this._styles.dragTarget);
var _13f=this._activeModel.getTimeSlotFromDomElement(_13d);
var args=new Telerik.Web.UI.SchedulerAppointmentMovingEventArgs(this._draggingAppointment,_13f);
this.raiseEvent("appointmentMoving",args);
if(args.get_cancel()){
this._abortDrag(e);
}else{
if(!_13f.get_isAllDay()){
this._keepElementInView(_13c);
}
}
return;
},_keepElementInView:function(_141,_142){
var _143=$telerik.getElementByClassName(this.get_element(),"rsContent","div");
var _144=this._getRelativeOffsetTop(_141,_143);
var _145=_141.offsetHeight;
var _146=_144+_145;
var _147=_143.clientHeight+_143.scrollTop;
var _148=_141.parentNode.parentNode.offsetHeight;
if(!_142&&_144<_143.scrollTop){
_143.scrollTop=_144;
}
if(_146>_147){
var _149=_143.scrollTop+(_146-_147);
if((_143.clientHeight+_149)>_143.scrollHeight){
return;
}
if(!_142&&_149>_144){
_149=_144;
}
_143.scrollTop=_149;
}
if(_142&&(_146-_148)<_143.scrollTop){
_143.scrollTop=_146-_148;
}
},_getRelativeOffsetTop:function(_14a,_14b){
var _14c=_14a.offsetParent;
var _14d=_14a.offsetTop;
while(_14c!=_14b){
_14d+=_14c.offsetTop;
if(!_14c.offsetParent){
break;
}
_14c=_14c.offsetParent;
}
return _14d;
},_getMousePosition:function(e){
var _14f=$telerik.getScrollOffset(document.body,true);
var _150=e.clientX;
var _151=e.clientY;
_150+=_14f.x;
_151+=_14f.y;
return {x:_150,y:_151};
},_onAppointmentMouseDown:function(e){
if(this.get_readOnly()){
return;
}
var _153=this.getAppointmentFromDomElement(e.eventMapTarget);
var _154=(_153.get_allowEdit()!=null)?_153.get_allowEdit():this.get_allowEdit();
if(!_154){
return;
}
this._initialDragMousePos=this._getMousePosition(e);
this._initialDragAppointment=_153;
$addHandler(document,"selectstart",this._onSelectStartDelegate);
$addHandler(document,"mouseup",this._onDocMouseUpDelegate);
$addHandler(document,"mousemove",this._onDocumentMouseMoveDelegate);
this._dragHandlersAttached=true;
},_startDrag:function(e){
var _156=this._initialDragAppointment;
var _157=this._getCellFromCoordinates(e.clientX,e.clientY);
if(!_157){
return;
}
var _158=new Telerik.Web.UI.SchedulerAppointmentMoveStartEventArgs(_156);
this.raiseEvent("appointmentMoveStart",_158);
if(_158.get_cancel()){
return;
}
this._draggingAppointment=_156;
this._dragging=true;
var _159=this._draggingAppointment.get_element();
var _15a=$telerik.getLocation(_159);
if($telerik.isFirefox||$telerik.isSafari){
var _15b=$telerik.getScrollOffset(_159,true);
_15a.x-=_15b.x;
_15a.y-=_15b.y;
if($telerik.isFirefox){
_15a.x+=document.body.parentNode.scrollLeft;
_15a.y+=document.body.parentNode.scrollTop;
}else{
_15a.x+=document.body.scrollLeft;
_15a.y+=document.body.scrollTop;
}
}
var _15c=$telerik.getLocation(_157);
var _15d=e.clientY-_15a.y;
var _15e=e.clientY-_15c.y;
this._draggingOffset=_15d-_15e;
if($telerik.isFirefox&&document.compatMode=="BackCompat"){
this._draggingOffset=0;
}
if(this.get_selectedView()==Telerik.Web.UI.SchedulerViewType.MonthView||this.get_selectedView()==Telerik.Web.UI.SchedulerViewType.TimelineView){
this._draggingOffset=0;
}
_156._startDrag();
},_endDrag:function(e){
this._finishDrag(e,false);
},_onDocMouseUp:function(e){
this._finishDrag(e,false);
},_abortDrag:function(e){
this._finishDrag(e,true);
},_finishDrag:function(e,_163){
if(this._dragHandlersAttached){
$removeHandler(document,"selectstart",this._onSelectStartDelegate);
$removeHandler(document,"mouseup",this._onDocMouseUpDelegate);
$removeHandler(document,"mousemove",this._onDocumentMouseMoveDelegate);
this._dragHandlersAttached=false;
}
if(this._dragging){
var _164=this._draggingAppointment.get_element();
if(!_163&&_164.parentNode&&_164.parentNode.parentNode){
var _165=_164.parentNode.parentNode;
this._draggingAppointment._endDrag(_165);
}else{
this._draggingAppointment._abortDrag();
}
this._draggingAppointment=null;
this._dragging=false;
Sys.UI.DomElement.removeCssClass(_164.parentNode,this._styles.dragTarget);
e.preventDefault();
e.stopPropagation();
}
},_onAppointmentDoubleClick:function(e){
if(this._resizingState.resizing){
this._resizingState.resizing=false;
e.stopPropagation();
return;
}
this._clearSelection();
var _167=this.getAppointmentFromDomElement(e.eventMapTarget);
var _168=new Telerik.Web.UI.SchedulerAppointmentDoubleClickEventArgs(_167);
this.raise_appointmentDoubleClick(_168);
this._editAppointmentInline(_167);
e.stopPropagation();
},_editAppointmentInline:function(_169){
if(this.get_readOnly()){
return;
}
if(_169){
var _16a=(_169.get_allowEdit()!=null)?_169.get_allowEdit():this.get_allowEdit();
if(!_16a){
return;
}
var args={OnConfirm:this._onAppointmentEditCallback,Scheduler:this,Appointment:_169,CallbackIsCalledFromDialog:true};
if(_169._recurrenceState==1||_169._recurrenceState==2||_169._recurrenceState==3){
var _16c=new Telerik.Web.UI.SchedulerRecurrenceActionDialogShowingEventArgs(args.Appointment,Telerik.Web.UI.RecurrenceAction.Edit);
this.raise_recurrenceActionDialogShowing(_16c);
if(_16c.get_cancel()){
var _16d=_16c.get_editSeries();
if(_16d!==null){
args.CallbackIsCalledFromDialog=false;
this._onAppointmentEditCallback(_16d,args);
}
}else{
this._recurrenceActionDialog.ConfirmRecurrenceAction(Telerik.Web.UI.RecurrenceAction.Edit,args);
}
}else{
args.CallbackIsCalledFromDialog=false;
this._onAppointmentEditCallback(false,args);
}
}
},_onAppointmentEditCallback:function(_16e,args){
if(args.CallbackIsCalledFromDialog){
var _170=new Telerik.Web.UI.SchedulerRecurrenceActionDialogClosedEventArgs(args.Appointment,Telerik.Web.UI.RecurrenceAction.Edit,_16e);
args.Scheduler.raise_recurrenceActionDialogClosed(_170);
}
if(!this._editing){
var _171=new Telerik.Web.UI.SchedulerAppointmentEditingEventArgs(args.Appointment,_16e);
args.Scheduler.raise_appointmentEditing(_171);
if(_171.get_cancel()==false){
this._editing=true;
var _172={Command:"Edit",AppointmentID:args.Appointment._internalID,EditSeries:_16e};
args.Scheduler.postback(_172);
}
}
},_clearSelection:function(){
if(document.selection&&document.selection.empty){
document.selection.empty();
}else{
if(window.getSelection&&window.getSelection().removeAllRanges){
window.getSelection().removeAllRanges();
}
}
},_onShowMoreClick:function(e){
var slot=this._activeModel.getTimeSlotFromDomElement(e.eventMapTarget);
var _175={Command:"SwitchToSelectedDay",SourceSlotIndex:slot.get_index()};
this.postback(_175);
},_onAppointmentMouseOver:function(e){
if(this._resizingState.resizing||this._dragging){
e.stopPropagation();
return;
}
var _177=this.getAppointmentDomElement(e.eventMapTarget);
var _178=this.getAppointmentFromDomElement(_177);
var _179=(_178.get_allowDelete()!=null)?_178.get_allowDelete():this.get_allowDelete();
if(!_179){
return;
}
this._hoveredAppointmentElement=_177;
var _17a=$telerik.getElementByClassName(_177,"rsAptDelete","a");
if(_17a){
_17a.style.visibility="visible";
}
},_onAppointmentMouseOut:function(e){
var _17c=e.rawEvent.relatedTarget?e.rawEvent.relatedTarget:e.rawEvent.toElement;
if(!_17c||$telerik.isDescendant(this._hoveredAppointmentElement,_17c)){
return;
}else{
var _17d=this.getAppointmentDomElement(e.eventMapTarget);
var _17e=$telerik.getElementByClassName(_17d,"rsAptDelete","a");
if(_17e){
_17e.style.visibility="hidden";
}
}
},_getCellCoordinates:function(_17f){
while(_17f&&(_17f.tagName.toLowerCase()!="td")){
_17f=_17f.parentNode;
}
if(_17f){
var _180=_17f.cellIndex;
var _181=_17f.parentNode.rowIndex;
return {cellIndex:_180,rowIndex:_181};
}
return -1;
},_getCellTimeFromDomElement:function(_182){
var _183=new Date(this.get_firstDayStart().getTime());
var _184=this._getCellCoordinates(_182);
if(this.get_selectedView()==Telerik.Web.UI.SchedulerViewType.MonthView){
var _185=24*7*_184.rowIndex;
var _186=24*_184.cellIndex;
Telerik.Web.UI.RadScheduler._incrementTime(_183,_185+_186);
}else{
if(this.get_selectedView()==Telerik.Web.UI.SchedulerViewType.ResourceView){
var _187=_184.rowIndex*this.get_minutesPerRow();
Telerik.Web.UI.RadScheduler._incrementTime(_183,0,_187);
}else{
var _187=_184.rowIndex*this.get_minutesPerRow();
Telerik.Web.UI.RadScheduler._incrementTime(_183,24*_184.cellIndex,_187);
}
}
return _183;
},_onCellClick:function(e){
var slot=this._activeModel.getTimeSlotFromDomElement(e.eventMapTarget);
var _18a=new Telerik.Web.UI.SchedulerTimeSlotClickEventArgs(slot.get_startTime(),slot);
this.raise_timeSlotClick(_18a);
},_onCellContextMenu:function(e){
var slot=this._activeModel.getTimeSlotFromDomElement(e.eventMapTarget);
var _18d=new Telerik.Web.UI.SchedulerTimeSlotContextMenuEventArgs(slot.get_startTime(),slot.get_isAllDay(),e,slot);
this.raise_timeSlotContextMenu(_18d);
},_onCellDoubleClick:function(e){
if(!this.get_readOnly()&&this.get_allowInsert()){
var slot=this._activeModel.getTimeSlotFromDomElement(e.eventMapTarget);
var _190=new Telerik.Web.UI.SchedulerAppointmentInsertingEventArgs(slot.get_startTime(),slot.get_isAllDay(),slot);
this.raise_appointmentInserting(_190);
if(_190.get_cancel()==false){
var _191={Command:"Insert",AppointmentID:-1,TargetSlotIndex:slot.get_index()};
this.postback(_191);
}
}
e.stopPropagation();
},_onAppointmentDeleteClick:function(e){
if(!this.get_readOnly()){
var _193=this.getAppointmentFromDomElement(e.eventMapTarget);
if(_193){
var args={OnConfirm:this._onAppointmentDeleteCallback,Scheduler:this,Appointment:_193,CallbackIsCalledFromDialog:true};
if(_193._recurrenceState==1||_193._recurrenceState==2||_193._recurrenceState==3){
var _195=new Telerik.Web.UI.SchedulerRecurrenceActionDialogShowingEventArgs(args.Appointment,Telerik.Web.UI.RecurrenceAction.Delete);
this.raise_recurrenceActionDialogShowing(_195);
if(_195.get_cancel()){
var _196=_195.get_editSeries();
if(_196!==null){
args.CallbackIsCalledFromDialog=false;
this._onAppointmentDeleteCallback(_196,args);
}
}else{
this._recurrenceActionDialog.ConfirmRecurrenceAction(Telerik.Web.UI.RecurrenceAction.Delete,args);
}
}else{
if(this.get_displayDeleteConfirmation()){
this._recurrenceActionDialog.ConfirmDelete(args);
}else{
args.CallbackIsCalledFromDialog=false;
this._onAppointmentDeleteCallback(false,args);
}
}
}
}
e.stopPropagation();
e.preventDefault();
},_onAppointmentDeleteCallback:function(_197,args){
if(args.CallbackIsCalledFromDialog){
var _199=new Telerik.Web.UI.SchedulerRecurrenceActionDialogClosedEventArgs(args.Appointment,Telerik.Web.UI.RecurrenceAction.Delete,_197);
args.Scheduler.raise_recurrenceActionDialogClosed(_199);
}
var _19a=new Telerik.Web.UI.SchedulerAppointmentDeletingEventArgs(args.Appointment,_197);
args.Scheduler.raise_appointmentDeleting(_19a);
if(_19a.get_cancel()==false){
var _19b={Command:"Delete",AppointmentID:args.Appointment._internalID,EditSeries:_197};
args.Scheduler.postback(_19b);
}
},_onPreviousDayClick:function(e){
var _19d=this.getAppointmentFromDomElement(e.eventMapTarget);
if(_19d){
var _19e={Command:"GoToPrevious",AppointmentID:_19d._internalID};
this.postback(_19e);
}
e.stopPropagation();
e.preventDefault();
},_onNextDayClick:function(e){
var _1a0=this.getAppointmentFromDomElement(e.eventMapTarget);
if(_1a0){
var _1a1={Command:"GoToNext",AppointmentID:_1a0._internalID};
this.postback(_1a1);
}
e.stopPropagation();
e.preventDefault();
},_onDayViewTabClick:function(e){
var _1a3={Command:"SwitchToDayView"};
this.postback(_1a3);
e.stopPropagation();
e.preventDefault();
},_onWeekViewTabClick:function(e){
var _1a5={Command:"SwitchToWeekView"};
this.postback(_1a5);
e.stopPropagation();
e.preventDefault();
},_onMonthViewTabClick:function(e){
var _1a7={Command:"SwitchToMonthView"};
this.postback(_1a7);
e.stopPropagation();
e.preventDefault();
},_onTimelineViewTabClick:function(e){
var _1a9={Command:"SwitchToTimelineView"};
this.postback(_1a9);
e.stopPropagation();
e.preventDefault();
},_onMultiDayViewTabClick:function(e){
var _1ab={Command:"SwitchToMultiDayView"};
this.postback(_1ab);
e.stopPropagation();
e.preventDefault();
},_onPreviousSchedulerDayClick:function(e){
var _1ad={Command:"NavigateToPreviousPeriod"};
this.postback(_1ad);
e.stopPropagation();
e.preventDefault();
},_onNextSchedulerDayClick:function(e){
var _1af={Command:"NavigateToNextPeriod"};
this.postback(_1af);
e.stopPropagation();
e.preventDefault();
},_onTodayClick:function(e){
var _1b1={Command:"GoToToday"};
this.postback(_1b1);
e.stopPropagation();
e.preventDefault();
},_onFullTimeLinkClick:function(e){
var _1b3={Command:"SwitchFullTime"};
this.postback(_1b3);
e.stopPropagation();
e.preventDefault();
},postback:function(args){
this._updateScrollTop();
var _1b5=$telerik.getElementByClassName(this.get_element(),"rsContent","div");
var _1b6=this.get_postBackReference().replace("arguments",Sys.Serialization.JavaScriptSerializer.serialize(args));
eval(_1b6);
},_getElementIndex:function(_1b7,_1b8){
if(!_1b7){
return;
}
for(var i=0;i<_1b7.length;i++){
if(_1b7[i]===_1b8){
return i;
}
}
return -1;
},add_appointmentClick:function(_1ba){
this.get_events().addHandler("AppointmentClick",_1ba);
},remove_appointmentClick:function(_1bb){
this.get_events().removeHandler("AppointmentClick",_1bb);
},raise_appointmentClick:function(args){
this.raiseEvent("AppointmentClick",args);
},add_appointmentInserting:function(_1bd){
this.get_events().addHandler("AppointmentInserting",_1bd);
},remove_appointmentInserting:function(_1be){
this.get_events().removeHandler("AppointmentInserting",_1be);
},raise_appointmentInserting:function(_1bf){
this.raiseEvent("AppointmentInserting",_1bf);
},add_appointmentDoubleClick:function(_1c0){
this.get_events().addHandler("AppointmentDoubleClick",_1c0);
},remove_appointmentDoubleClick:function(_1c1){
this.get_events().removeHandler("AppointmentDoubleClick",_1c1);
},raise_appointmentDoubleClick:function(_1c2){
this.raiseEvent("AppointmentDoubleClick",_1c2);
},add_appointmentResizeStart:function(_1c3){
this.get_events().addHandler("AppointmentResizeStart",_1c3);
},remove_appointmentResizeStart:function(_1c4){
this.get_events().removeHandler("AppointmentResizeStart",_1c4);
},raise_appointmentResizeStart:function(args){
this.raiseEvent("AppointmentResizeStart",args);
},add_appointmentResizeEnd:function(_1c6){
this.get_events().addHandler("AppointmentResizeEnd",_1c6);
},remove_appointmentResizeEnd:function(_1c7){
this.get_events().removeHandler("AppointmentResizeEnd",_1c7);
},raise_appointmentResizeEnd:function(args){
this.raiseEvent("AppointmentResizeEnd",args);
},add_appointmentResizing:function(_1c9){
this.get_events().addHandler("AppointmentResizing",_1c9);
},remove_appointmentResizing:function(_1ca){
this.get_events().removeHandler("AppointmentResizing",_1ca);
},raise_appointmentResizing:function(args){
this.raiseEvent("AppointmentResizing",args);
},add_appointmentDeleting:function(_1cc){
this.get_events().addHandler("AppointmentDeleting",_1cc);
},remove_appointmentDeleting:function(_1cd){
this.get_events().removeHandler("AppointmentDeleting",_1cd);
},raise_appointmentDeleting:function(args){
this.raiseEvent("AppointmentDeleting",args);
},add_timeSlotClick:function(_1cf){
this.get_events().addHandler("TimeSlotClick",_1cf);
},remove_timeSlotClick:function(_1d0){
this.get_events().removeHandler("TimeSlotClick",_1d0);
},raise_timeSlotClick:function(args){
this.raiseEvent("TimeSlotClick",args);
},add_appointmentEditing:function(_1d2){
this.get_events().addHandler("AppointmentEditing",_1d2);
},remove_appointmentEditing:function(_1d3){
this.get_events().removeHandler("AppointmentEditing",_1d3);
},raise_appointmentEditing:function(args){
this.raiseEvent("AppointmentEditing",args);
},add_appointmentMoveStart:function(_1d5){
this.get_events().addHandler("appointmentMoveStart",_1d5);
},remove_appointmentMoveStart:function(_1d6){
this.get_events().removeHandler("appointmentMoveStart",_1d6);
},add_appointmentMoving:function(_1d7){
this.get_events().addHandler("appointmentMoving",_1d7);
},remove_appointmentMoving:function(_1d8){
this.get_events().removeHandler("appointmentMoving",_1d8);
},add_appointmentMoveEnd:function(_1d9){
this.get_events().addHandler("appointmentMoveEnd",_1d9);
},remove_appointmentMoveEnd:function(_1da){
this.get_events().removeHandler("appointmentMoveEnd",_1da);
},add_recurrenceActionDialogShowing:function(_1db){
this.get_events().addHandler("RecurrenceActionDialogShowing",_1db);
},remove_recurrenceActionDialogShowing:function(_1dc){
this.get_events().removeHandler("RecurrenceActionDialogShowing",_1dc);
},raise_recurrenceActionDialogShowing:function(args){
this.raiseEvent("RecurrenceActionDialogShowing",args);
},add_recurrenceActionDialogClosed:function(_1de){
this.get_events().addHandler("RecurrenceActionDialogClosed",_1de);
},remove_recurrenceActionDialogClosed:function(_1df){
this.get_events().removeHandler("RecurrenceActionDialogClosed",_1df);
},raise_recurrenceActionDialogClosed:function(args){
this.raiseEvent("RecurrenceActionDialogClosed",args);
},add_formCreated:function(_1e1){
this.get_events().addHandler("FormCreated",_1e1);
},remove_formCreated:function(_1e2){
this.get_events().removeHandler("FormCreated",_1e2);
},raise_formCreated:function(args){
this.raiseEvent("FormCreated",args);
},add_appointmentContextMenu:function(_1e4){
this.get_events().addHandler("AppointmentContextMenu",_1e4);
},remove_appointmentContextMenu:function(_1e5){
this.get_events().removeHandler("AppointmentContextMenu",_1e5);
},raise_appointmentContextMenu:function(args){
this.raiseEvent("AppointmentContextMenu",args);
},add_timeSlotContextMenu:function(_1e7){
this.get_events().addHandler("TimeSlotContextMenu",_1e7);
},remove_timeSlotContextMenu:function(_1e8){
this.get_events().removeHandler("TimeSlotContextMenu",_1e8);
},raise_timeSlotContextMenu:function(args){
this.raiseEvent("TimeSlotContextMenu",args);
}};
Telerik.Web.UI.RadScheduler.registerClass("Telerik.Web.UI.RadScheduler",Telerik.Web.UI.RadWebControl);
Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.RecurrenceAction=function(){
};
Telerik.Web.UI.RecurrenceAction.prototype={Edit:1,Delete:2,Resize:3,Move:4};
Telerik.Web.UI.RecurrenceAction.registerEnum("Telerik.Web.UI.RecurrenceAction");
Telerik.Web.UI.RecurrenceActionDialog=function(_1ea){
this._schedulerDomElement=_1ea.get_element();
this._scheduler=_1ea;
this._recurrenceDialogWrapper=null;
this._args=null;
this._btnOk=null;
this._btnCancel=null;
};
Telerik.Web.UI.RecurrenceActionDialog.CreateRadioButton=function(id,name,_1ed,_1ee){
var _1ef;
if($telerik.isIE){
var html="<input type=\"radio\" ";
html+="id=\""+id+"\" ";
html+="name=\""+name+"\" ";
html+="value=\""+_1ed+"\" ";
if(_1ee){
html+="checked ";
}
html+="/>";
_1ef=document.createElement(html);
}else{
_1ef=document.createElement("input");
_1ef.id=id;
_1ef.type="radio";
_1ef.name=name;
_1ef.value=_1ed;
_1ef.checked=_1ee;
}
return _1ef;
};
Telerik.Web.UI.RecurrenceActionDialog.prototype={ConfirmRecurrenceAction:function(_1f1,args){
localization=this._scheduler.get_localization();
var _1f3;
var _1f4;
var _1f5;
switch(_1f1){
case Telerik.Web.UI.RecurrenceAction.Edit:
_1f3=localization.ConfirmRecurrenceEditTitle;
_1f4=localization.ConfirmRecurrenceEditOccurrence;
_1f5=localization.ConfirmRecurrenceEditSeries;
break;
case Telerik.Web.UI.RecurrenceAction.Resize:
_1f3=localization.ConfirmRecurrenceResizeTitle;
_1f4=localization.ConfirmRecurrenceResizeOccurrence;
_1f5=localization.ConfirmRecurrenceResizeSeries;
break;
case Telerik.Web.UI.RecurrenceAction.Delete:
_1f3=localization.ConfirmRecurrenceDeleteTitle;
_1f4=localization.ConfirmRecurrenceDeleteOccurrence;
_1f5=localization.ConfirmRecurrenceDeleteSeries;
break;
case Telerik.Web.UI.RecurrenceAction.Move:
_1f3=localization.ConfirmRecurrenceMoveTitle;
_1f4=localization.ConfirmRecurrenceMoveOccurrence;
_1f5=localization.ConfirmRecurrenceMoveSeries;
break;
}
var d=document;
this._args=args;
var _1f7=this._createDialog(_1f3);
if(!_1f7){
return;
}
var _1f8=_1f7.appendChild(d.createElement("div"));
var _1f9=_1f8.appendChild(Telerik.Web.UI.RecurrenceActionDialog.CreateRadioButton("choiceOccurrenceSpan_0","choiceOccurrenceSpan","OpenOccurrence",true));
var _1fa=_1f8.appendChild(d.createElement("label"));
_1fa.htmlFor=_1f9.id;
_1fa.appendChild(d.createTextNode(_1f4));
var _1fb=_1f7.appendChild(d.createElement("div"));
var _1fc=_1fb.appendChild(Telerik.Web.UI.RecurrenceActionDialog.CreateRadioButton("choiceOccurrenceSpan_1","choiceOccurrenceSpan","OpenSeries",false));
this._editSeriesRadio=_1fc;
var _1fd=_1fb.appendChild(d.createElement("label"));
_1fd.htmlFor=_1fc.id;
_1fd.appendChild(d.createTextNode(_1f5));
this._createButtons(_1f7,this._confirmRecurrenceActionOkClick,this._removeConfirmAction);
},_confirmRecurrenceActionOkClick:function(e){
var _1ff=this._editSeriesRadio.checked;
this._removeConfirmAction(e);
this._args.OnConfirm(_1ff,this._args);
e.preventDefault();
e.stopPropagation();
},ConfirmDelete:function(args){
localization=this._scheduler.get_localization();
var _201=localization.ConfirmDeleteTitle;
var _202=localization.ConfirmDeleteText;
var d=document;
this._args=args;
var _204=this._createDialog(_201);
if(!_204){
return;
}
var h2=_204.appendChild(d.createElement("h2"));
h2.appendChild(d.createTextNode(_202));
this._createButtons(_204,this._confirmDeleteOkClick,this._removeConfirmAction);
},_confirmDeleteOkClick:function(e){
var _207=false;
this._removeConfirmAction(e);
this._args.OnConfirm(_207,this._args);
e.preventDefault();
e.stopPropagation();
},_removeConfirmAction:function(e){
this.dispose();
if(this._args.OnAbort){
this._args.OnAbort(this._args);
}
e.preventDefault();
e.stopPropagation();
},_createDialog:function(_209){
var d=document;
if($telerik.getElementByClassName(this._schedulerDomElement,"rsModalContainer","div")){
return;
}
this._recurrenceDialogWrapper=d.createElement("div");
this._recurrenceDialogWrapper.style.position="relative";
this._recurrenceDialogWrapper.style.width="100%";
this._recurrenceDialogWrapper.style.zIndex=10000;
this._schedulerDomElement.insertBefore(this._recurrenceDialogWrapper,this._schedulerDomElement.childNodes[0]);
var _20b=this._recurrenceDialogWrapper.appendChild(d.createElement("div"));
_20b.className="rsModalContainer";
_20b.onselectstart=function(){
return false;
};
_20b.style.height=this._schedulerDomElement.offsetHeight+"px";
$telerik.setOpacity(_20b,0.4);
var _20c=this._recurrenceDialogWrapper.appendChild(d.createElement("div"));
_20c.className="rsConfirmation";
_20c.style.top=(this._schedulerDomElement.offsetHeight-_20c.offsetHeight)/2+"px";
_20c.style.left=(this._schedulerDomElement.offsetWidth-_20c.offsetWidth)/2+"px";
_20c.style.display="block";
var h1=_20c.appendChild(d.createElement("h1"));
h1.appendChild(d.createTextNode(_209));
return _20c;
},_createButtons:function(_20e,_20f,_210){
localization=this._scheduler.get_localization();
var OK=localization.ConfirmOK;
var _212=localization.ConfirmCancel;
var d=document;
var _214=_20e.appendChild(d.createElement("div"));
_214.className="rsButtonContainer";
this._btnOk=_214.appendChild(d.createElement("a"));
this._btnOk.className="rsDialogButton";
this._btnOk.appendChild(d.createTextNode(OK));
this._btnOk.href="#";
this._btnOk.focus();
$addHandlers(this._btnOk,{"click":_20f},this);
this._btnCancel=_214.appendChild(d.createElement("a"));
this._btnCancel.className="rsDialogButton";
this._btnCancel.appendChild(d.createTextNode(_212));
this._btnCancel.href="#";
$addHandlers(this._btnCancel,{"click":_210},this);
},dispose:function(){
if(this._btnOk){
$clearHandlers(this._btnOk);
}
if(this._btnCancel){
$clearHandlers(this._btnCancel);
}
if(this._recurrenceDialogWrapper&&this._recurrenceDialogWrapper.parentNode){
this._recurrenceDialogWrapper.parentNode.removeChild(this._recurrenceDialogWrapper);
}
}};
Telerik.Web.UI.RecurrenceActionDialog.registerClass("Telerik.Web.UI.RecurrenceActionDialog",null,Sys.IDisposable);
Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.SchedulerResource=function(_215){
this._key=_215.key;
this._type=_215.type;
this._text=_215.text;
this._internalKey=_215.internalKey;
this._available=_215.available;
this._attributes=new Telerik.Web.UI.SchedulerAttributeCollection(this);
if(typeof (_215.attributes)!="undefined"){
this._attributes._load(_215.attributes);
}
};
Telerik.Web.UI.SchedulerResource.prototype={get_key:function(){
return this._key;
},get_type:function(){
return this._type;
},get_text:function(){
return this._text;
},get_available:function(){
return this._available;
},_getInternalKey:function(){
return this._internalKey;
},get_attributes:function(){
return this._attributes;
}};
Telerik.Web.UI.SchedulerResource.registerClass("Telerik.Web.UI.SchedulerResource");
Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.SchedulerResourceCollection=function(){
this._array=new Array();
};
Telerik.Web.UI.SchedulerResourceCollection.prototype={add:function(item){
var _217=this._array.length;
this.insert(_217,item);
},insert:function(_218,item){
Array.insert(this._array,_218,item);
},remove:function(item){
Array.remove(this._array,item);
},removeAt:function(_21b){
var item=this.getAppointment(_21b);
if(item){
this.remove(item);
}
},clear:function(){
this._array=new Array();
},get_count:function(){
return this._array.length;
},forEach:function(_21d){
for(var i=0,_21f=this.get_count();i<_21f;i++){
_21d(this.getResource(i));
}
},getResource:function(_220){
return this._array[_220];
},getResourcesByType:function(type){
var _222=new Telerik.Web.UI.SchedulerResourceCollection();
this.forEach(function(_223){
if(_223.get_type()==type){
_222.add(_223);
}
});
return _222;
}};
Telerik.Web.UI.SchedulerResourceCollection.registerClass("Telerik.Web.UI.SchedulerResourceCollection");
Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.SchedulerAttributeCollection=function(){
this._data={};
this._keys=[];
};
Telerik.Web.UI.SchedulerAttributeCollection.prototype={getAttribute:function(key){
return this._data[key];
},setAttribute:function(key,_226){
this._add(key,_226);
var _227={};
_227[key]=_226;
},_add:function(key,_229){
if(Array.indexOf(this._keys,key)<0){
Array.add(this._keys,key);
}
this._data[key]=_229;
},removeAttribute:function(key){
Array.remove(this._keys,key);
delete this._data[key];
},_load:function(json){
for(var key in json){
this._add(key,json[key]);
}
},get_count:function(){
return this._keys.length;
}};
Telerik.Web.UI.SchedulerAttributeCollection.registerClass("Telerik.Web.UI.SchedulerAttributeCollection");
Type.registerNamespace("Telerik.Web.UI");
Telerik.Web.UI.ISchedulerModel=function(){
};
Telerik.Web.UI.ISchedulerModel.prototype={getTimeSlotFromDomElement:function(_22d){
throw Error.notImplemented();
}};
Telerik.Web.UI.ISchedulerModel.registerInterface("Telerik.Web.UI.ISchedulerModel");
Telerik.Web.UI.ISchedulerTimeSlot=function(){
};
Telerik.Web.UI.ISchedulerTimeSlot.prototype={get_index:function(){
throw Error.notImplemented();
},get_isAllDay:function(){
throw Error.notImplemented();
},get_startTime:function(){
throw Error.notImplemented();
}};
Telerik.Web.UI.ISchedulerTimeSlot.registerInterface("Telerik.Web.UI.ISchedulerTimeSlot");

